; buttonled.asm
;
; Fab Academy
; February 2016
; by Francisco Sanchez
; CC-BY-SA 4.0 License
;
; This program turns on the LED of a helloworld board when the button is pressed

.device attiny44A               ; defines which device to assemble for
.org 0                          ; sets the programs origin
          SBI   DDRA,3          ; sbi reg,bit Sets a bit of a register.
                                ; Setting DDRA bit 7 makes pin PA7 a (digital) output
          CBI   DDRB,2          ; sets PB3 as input
          SBI   PORTB, 2        ; activates pull up resistor in PB3
loop:                           ; label for main loop
                                ; labels must start with a letter and end with a colon
          CPI   PINA,0          ; compares the value of PINA (button) with 0
          BRNE  release         ; the result was different from 0 so the button is
                                ; released.Go to subroutine release
          SBI   PORTA,7         ; the result was 0 so the button is pressed. Turn
                                ; pin PA7 to HIGH (5V)
          JMP   done            ; avoids subroutine release
release:
          CBI   PORTA,7         ; Turns pin PA7 to LOW (0V)
done:                           ; land here after turn PA7 HIGH
          RJMP  loop            ; relative jump to label called loop
