# CAD

## Introduction

Computer-Aided Design (CAD) is the creation of a 3D model of an object in computers using dedicated softwares.

In my university, I have learned solidworks and creo, I have never used any free or open source 3D design softwares. During PreFab academy, I have learned about 3 free 3D design softwares: Antimony, FreeCad and Openscad.

## Antimony

Antimony is a free open source CAD software developed by Matthew Keeter. The software creates 3D objects by connecting nodes. More can be found in this [link](http://www.mattkeeter.com/projects/antimony/3/)

![](images/antimony1.png)

I found it very easy and simple to use, just connect the blocks together and the shape will be generated !

#### Install

I have installed antimony from this [](https://github.com/mkeeter/antimony/blob/develop/BUILDING.md), using the following commands

`Install dependencies
sudo apt install git build-essential libpng-dev python3-dev libboost-all-dev  libgl1-mesa-dev lemon flex qt5-default ninja-build cmake`

`git clone https://github.com/mkeeter/antimony`

`cd antimony`

`mkdir build`
`cd build`

`cmake -GNinja ..`
`ninja`
`./app/antimony`

A simple project I did using antimony is the design of heat gun heads holder

![](images/antimony2.png)

3D design can be found in this [link](http://download1473.mediafire.com/in8pko6cn9qg/tmj8bwry8nq9pom/base.sb)

**Put real photo of the holder**

## FreeCad

FreeCad is a free CAD software which looks similar to solidworks in the way of modeling. There are two versions of freeCad: stable and daily version.

I have downloaded the daily version using the commands:

`sudo add-apt-repository ppa:freecad-maintainers/freecad-daily`

`sudo apt-get update`

`sudo apt-get install freecad-daily && sudo apt-get upgrade`.

but I have encountered few problems, like I could not extrude a sketch so I have converted to the stable version and downloaded it using the commands:

`sudo add-apt-repository ppa:freecad-maintainers/freecad-stable `

`sudo apt-get update `

`sudo apt-get install freecad freecad-doc && apt-get upgrade`

More details about freeCad installion can be found in this [link](https://www.freecadweb.org/wiki/Install_on_Unix)

I have used FreeCad to design the first iteration of my final project

![](images/freecad1.png)

At the beginning, it was difficult for me to use the program and hard to even make a cube! that was because the program has a different GUI than solidworks and Creo. For example, to make a sketch I have to switch from part to part design then back to part to apply extrude and modify the parameters of the model.

## Openscad

I have found Antimony way of modeling strange, also Openscad. I have never designed a 3d model by writing a program !.

Openscad has a very good [documentation](https://en.wikibooks.org/wiki/OpenSCAD_User_Manual/The_OpenSCAD_Language) which includes every code and function needed to model an object.  

I have downloaded openscad using the commands:
`sudo add-apt-repository ppa:openscad/releases`

`sudo apt-get update`

`sudo apt-get install openscad`

More about installation can be found [here](http://www.openscad.org/downloads.html)

![](images/openscad.png)
