# Vinyl Cutter


## Introduction

Vinyl cutter is a computer-controlled machine which cuts thin vinyl into shapes like logo and stickers. This machine was the first to learn about in the prefab academy.

## Inkscape

#### Install

Inkscape was the first thing I did, this software helps improving the quality of an image by first converting it to vector then back to raster. I have downloaded the software using the following commands:

`sudo add-apt-repository ppa:inkscape.dev/stable`   
`sudo apt update`                                
`sudo apt install inkscape`

The program GUI

![](images/inkscape1.png)

#### Producing the logo

The idea behind using vector graphics is to produce a 1000dpi image. Images from the internet cannot guarantee this quality so inkscape is used.

After opening the software, I have opened the logo from **File --> Open** then I have converted the image to vector using **Trace Bitmap** in **Path** option.

As shown in the following image, I have chose the option **Brightness steps**. My image is already with transparent background so I did not choose **Remove Background**.  

![](images/7.png)   

After I have pressed OK, I got the new image beside the old one as shown in the following image.

Next step was the scale the logo down to the needed dimensions, to do so I have locked the dimensions and chose the **mm** option then I have changed the dimensions to 40x29.205 mm.

![](images/8.png)

The last step before exporting the logo was to place the logo inside the borders with the required margins form **File --> Document Properties**. I have placed it with a margin of 5px each side as shown in the following image.

![](images/9.png)

Now that the logo is ready, I have exported as **PNG** from **File --> Export as PNG**

![](images/10.png)


## set up machine

After I have exported the logo, I have started to set up the vinyl cutter.

The machine is very easy to set up, unboxing first then, power on, setting the pen force, inserting the cutting blade and last thing is to insert the vinyl roll. The following images show the process of setting up the machine.


![](images/1.jpg)

The Pen force, by default is set to 0. Pen force is the force exerted by the cutter on the vinyl.

For the Cutting blade, it should be hard to notice the cutting edge, otherwise the blade will touch the machine bottom.

![](images/2.jpg)

Last thing was to insert the roll into the machine.

![](images/4.jpg)

Then, I have learned how to control the roller, setting up the origin and how to choose the place of the next cutting after the finishing the last cut.

One important thing to know was the place of cutting the vinyl after the machine finishes its work. The place is shown in the following image.

![](images/5.jpg)

## Downloading Fab

After setting up the machine, I have downloaded fab software which is used to convert the image into .camm file and send it to the machine from [this link](http://kokompe.cba.mit.edu/downloads.html), then installed the dependencies by the following command `sudo apt-get install python python-wxgtk2.8 python-dev python-pip gcc g++ libpng12-dev libgif-dev make bash okular libboost-thread-dev libboost-system-dev cmake`, python was not installed so I had a problem, but I solved it by downloading **python wxgtk2.8** and the the command worked.

Finally I have finished installing the fab program by the following commands `make fab` and `make install`.

## Set up communication

The last step was to set up the communication between my pc and the machine. To do this I have opened a firefox tab and wrote `localhost:631`, At first nothing appeared on the page so I searched the problem and found that a software called cups should be installed, I have installed it using the command `sudo apt install cups`.

![](images/localhost1.png)

From administration I have added the machine as a printer successfully from the first try.

![](images/localhost2.png)

## Cutting the logo

Now that the machine and my computer is ready, I have started to cut the logo.

I have opened the fab software by the command `fab` and then I have chose the input .png and the output .camm after that I have pressed make_png_camm

![](images/fab1.png)

To prepare the png image, I have loaded the logo and chose the vinyl option then I have made the cutting path by the option make.path and pressed make_camm.

The machine started to cut after I have pressed send it.

![](images/fab2.png)

Last thing to do was to stick the logo, usually a transformation paper is used, but instead I have used a tape.
