## 3D printing and scanning 22/11/2017

The day started actively by Mr.Fran asking us to check how to add objects to improve our current Ultimaker 2 printer  

My task was to 3D print an Ultimaker 2 knob.

Steps:
1. I accessed [[thingiverse](http://thingiverse.com)] website and searched for the knob
2. I downloaded the knob *stl* file
3. I installed cura 3.0.1 using this link [[Cura](https://ultimaker.com/en/products/ultimaker-cura-software)]


##### Ultimaker 2:

Next step was to set the Ultimaker to be ready to print. As we are using heavily pre-used printer more time was spent on training and fixing the printers. All printers were exteremly dirty, some glass plates were broken due to the usage of glue, and one of the printers nozzle was full with filament melt and stuck around the nozzle.   

- ###### *Cleaning*

![](/home/murad/Desktop/preacademy2018/participants/saadeh.murad/images/Ultimaker/Cleaning/11.jpg)  
image 1:cleaning the exterior

![](/home/murad/Desktop/preacademy2018/participants/saadeh.murad/images/Ultimaker/Cleaning/12.jpg)  
image 2: Removing glass plate       

![](/home/murad/Desktop/preacademy2018/participants/saadeh.murad/images/Ultimaker/Cleaning/13.jpg)  
image 3:Cleaning glass plate


 we Should always ensure to keep 3D printer clean. The glass bed is cleaned by opening the clips (image 2) then removing the glass, the glass is then
wept with alcohol (image 3). in addition to that always do ensure to clean the feeder motor as dust do affect the filament.



- ###### *Pre printing procedures*

![](/home/murad/Desktop/preacademy2018/participants/saadeh.murad/images/Ultimaker/Checking/45.jpg)
image 4: checking the rods

![](/home/murad/Desktop/preacademy2018/participants/saadeh.murad/images/Ultimaker/Checking/6.jpg)  
image 5: Checking the belt

![](/home/murad/Desktop/preacademy2018/participants/saadeh.murad/images/Ultimaker/Checking/7.jpg)   
image 6: checking fans


prior to cleaning the printer, check the printer status. This is done by making sure the
4 rods (image 4) are not moving, The black belt is stable (image 5), Check the fan location(image 6).

- ###### *Printing*

![](/home/murad/Desktop/preacademy2018/participants/saadeh.murad/images/Ultimaker/Printing/7.jpg)   
image 7: placing filament

![](/home/murad/Desktop/preacademy2018/participants/saadeh.murad/images/Ultimaker/Printing/8.jpg)   
image 8: placing filament in the extruder  

![](/home/murad/Desktop/preacademy2018/participants/saadeh.murad/images/Ultimaker/Printing/9-10.jpg)    
image 9: move material

![](/home/murad/Desktop/preacademy2018/participants/saadeh.murad/images/Ultimaker/Printing/45.jpg)   
image 10: leveling built plate

We Start by placing the filament to the ultimaker (image 7), then insert the filament to the extruder motor (image 8) and choose insert materials option from the ultimaker monitor.Before you print always check the filament specially if
it has been used before, to do that access maintenance from the ultimaker monitor then press on move filament. ( * this step should  be done every time you change the material or if you abort a job ). Once the filament is all set, access maintence option and choose leveling to start leveling the build plate as the distance between the nozzle and the build plate should not exceed the thickness of a paper. To do that properly you must use the leveling card that comes with the ultimaker, however it was lost thus we used a 0.1 m thickness paper.

- ###### *Problem faced*    

As the printer filament were used before we faced a problem extruding the filament from the nozzle this was because the filament was melted and reshaped inside the nozzle, thus we had to remove the filament(image 11) and cut it(image 12) in order to fix this issue.

![](/home/murad/Desktop/preacademy2018/participants/saadeh.murad/images/Ultimaker/Cutting-filament/11-12-13.jpg)  
image 11: removing/cutting filament end

![](/home/murad/Desktop/preacademy2018/participants/saadeh.murad/images/Ultimaker/Cutting-filament/12.jpg)   
image 12: cutting filament  

Printer stopped while printer and this message was shown on the ultimaker display build plate Temperature sensor error. The build plate temperature sensor is below the build plate. To fix this issue we removed the build plate and checked the sensor wires, some of the sensor wires were a bit loose thus we tightened them up and re placed the sensor back.

![](/home/murad/Desktop/preacademy2018/participants/saadeh.murad/images/Ultimaker/Sensor/12.jpg)   
image 13: error message

![](/home/murad/Desktop/preacademy2018/participants/saadeh.murad/images/Ultimaker/Sensor/13.jpg)  
image 14: removing build plate

![](/home/murad/Desktop/preacademy2018/participants/saadeh.murad/images/Ultimaker/Sensor/14.jpg)  
image 15: tightening temperature sensor      


##### Cura:

Cura is a 3d printer slicing software mainly designed for Ultimaker but it could be used for other printers.

Printing Ultimaker 2 knob:

1. Open the downloaded stl file
2. Choose the infill to be 20%
3. If you are printing a tall object usually tick build plate adhesion and generate support
4. Save the file to a SD card

Printing:

1. Place the SD card inside the printer
2. Access you file and print


Notes:
- Do not glue the build bed
- Filaments diameter is 2.85 mm, where the filament cover is a bit bigger however its smaller than 2.95mm
- High humidity affect the filament and could increase its diameter to more than 2.95 ( if this happens put the filament in the oven for half an hour at a temp of 40 Celsius)
- Do always break the filament, do not pull it after it comes out of the nozzle
- Sometimes the extruder spring push the filament very hard in a way the motor will start to eat the filament which will cause it to stuck.
In this case loosen up the spring by rotating the screw found above the extruder.
- Do not use carbon fiber filament unless you need a very strong object ( *It will destroy the nozzle*)
- To check whats wrong with your Ultimaker go to [[Ultimaker trouble shooting](http://support.3dverkstan.se/article/23-a-visual-ultimaker-troubleshooting-guide)]
- you can print objects with a maximuim 45 degrees without the need of support
- You can never print a pointy design using Ultimaker 2
- Always watch the first layers to ensure everything is smooth
- The building plate should be 0.1 mm away from the nozzle ( This is done by accessing going to maintenance then bed leveling and following steps)

3D Scanning:

3D scanner is used to scan and 3D draw objects. The 3D scanner we are using is the *Sense first generation*, it has one optical
camera to capture texture and one infrared camera to detect the shape.

Steps:

1. Install *sense first generation* software ( only installed on windows) and follow the steps
2. To scan an object point the camera at the object and ensure to point around each angle of the desired object
3. Once done make sure to solidify the object before printing it

##### 3D design software

###### Antimony

Antimony is Parametric design software, parametric design allow us to change the object size prior to its design. Antimony software is  designed by MIT for users who are just beginning to explore 3d designing.

Anitomony home page is divided into an input and an output. The input is where you actually draw and design and the output is where you asses the final object.


2D (rectangle, ellipse, etc ) + Extrude ( revolve or loft) + difference (or union) = 3D object

First we tried to design a holder for a tape roll, to do this we started by creating a rectangular, a rectangular is created by pressing the right click then add 2d then rectangle then rectangular center. Next we added a center circle where the circle x-axis location is equal to the rectangle x-axis location in addition to the rectangle width divided by 2. As for the circle y-axis location we set it to be equal to the rectangle y-axis location in addition to rectangle height divided by 2.
A difference operating is being done in order to keep the desired object


In order to transform the 2d object into a 3d object, we extrude the desired object.

![](/home/murad/Desktop/preacademy2018/participants/saadeh.murad/images/Antimony/16.jpg)  

Finally to export, press on export and click on detect and choose vixel=1.

Constrain: Ultimaker is not very efficient printing sharp edges, thus you should try your best to not have a sharp edge.

We were giving the task to design a holder for the heat gun tips. Below is the design.

### Open scad

Open scad OpenSCAD, unlike many CAD products, is not an interactive modeler. Instead it is something like a 2D/3D-compiler that reads in a program file that describes the object and renders the model from this file. This gives you (the designer) full control over the modeling process. This enables you to easily change any step in the modeling process. This enables you to make designs that are defined by configurable parameters.

OpenSCAD has two main operating modes, Preview and Render. Preview is relatively fast using 3D graphics and the computer's GPU, but is an approximation of the model and can produce artifacts; Preview uses OpenCSG and OpenGL. Render generates exact geometry and a fully tessellated mesh, it is not an approximation and as such it is often a lengthy process, taking minutes or hours for larger designs; Render uses CGAL as its geometry engine.

##### Tips:

To move an object around the x,y,z axis, translate(v = [x, y, z]) { ... }

Hull command attach separate objects together and redraw that object

### Free cad

FreeCAD is a parametric 3D modeler made primarily to design real-life objects of any size. Parametric modeling allows you to easily modify your design by going back into your model history and changing its parameters. FreeCAD is open-source and highly customizable, scriptable and extensible. 
